Bug 1285632 - [abrt] rawstudio: g_type_name(): rawstudio killed by SIGSEGV
[abrt] rawstudio: g_type_name(): rawstudio killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rawstudio (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:98b27b662732fd1b1085367b9d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 01:04 EST by Sergio Monteiro Basto
Modified: 2015-12-20 02:53 EST (History)
2 users (show)

See Also:
Fixed In Version: rawstudio-2.1-0.9.20150511git75ef4c4_rawspeed_4ea46dd.fc23 rawstudio-2.1-0.9.20150511git75ef4c4_rawspeed_4ea46dd.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-20 01:54:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.98 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: cgroup (189 bytes, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: core_backtrace (8.43 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: dso_list (14.05 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: environ (4.19 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: maps (72.61 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: mountinfo (2.91 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: open_fds (1.35 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details
File: var_log_messages (235 bytes, text/plain)
2015-11-26 01:05 EST, Sergio Monteiro Basto
no flags Details

  None (edit)
Description Sergio Monteiro Basto 2015-11-26 01:04:56 EST
Description of problem:
just tried edit settings 

Version-Release number of selected component:
rawstudio-2.1-0.4.20150511git983bda1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rawstudio
crash_function: g_type_name
executable:     /usr/bin/rawstudio
global_pid:     26992
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_name at gtype.c:3325
 #1 gui_make_preference_quick_export at gtk-interface.c:879
 #2 gui_make_preference_window at gtk-interface.c:1072
 #7 _gtk_action_emit_activate at deprecated/gtkaction.c:909
 #8 _g_closure_invoke_va at gclosure.c:864
 #11 gtk_widget_activate at gtkwidget.c:7725
 #12 gtk_menu_shell_activate_item at gtkmenushell.c:1376
 #13 gtk_menu_shell_button_release at gtkmenushell.c:788
 #14 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #15 _g_closure_invoke_va at gclosure.c:864
Comment 1 Sergio Monteiro Basto 2015-11-26 01:05:00 EST
Created attachment 1099130 [details]
File: backtrace
Comment 2 Sergio Monteiro Basto 2015-11-26 01:05:01 EST
Created attachment 1099131 [details]
File: cgroup
Comment 3 Sergio Monteiro Basto 2015-11-26 01:05:03 EST
Created attachment 1099132 [details]
File: core_backtrace
Comment 4 Sergio Monteiro Basto 2015-11-26 01:05:04 EST
Created attachment 1099133 [details]
File: dso_list
Comment 5 Sergio Monteiro Basto 2015-11-26 01:05:06 EST
Created attachment 1099134 [details]
File: environ
Comment 6 Sergio Monteiro Basto 2015-11-26 01:05:07 EST
Created attachment 1099135 [details]
File: exploitable
Comment 7 Sergio Monteiro Basto 2015-11-26 01:05:09 EST
Created attachment 1099136 [details]
File: limits
Comment 8 Sergio Monteiro Basto 2015-11-26 01:05:11 EST
Created attachment 1099137 [details]
File: maps
Comment 9 Sergio Monteiro Basto 2015-11-26 01:05:13 EST
Created attachment 1099138 [details]
File: mountinfo
Comment 10 Sergio Monteiro Basto 2015-11-26 01:05:14 EST
Created attachment 1099139 [details]
File: namespaces
Comment 11 Sergio Monteiro Basto 2015-11-26 01:05:15 EST
Created attachment 1099140 [details]
File: open_fds
Comment 12 Sergio Monteiro Basto 2015-11-26 01:05:17 EST
Created attachment 1099141 [details]
File: proc_pid_status
Comment 13 Sergio Monteiro Basto 2015-11-26 01:05:18 EST
Created attachment 1099142 [details]
File: var_log_messages
Comment 14 Fedora Update System 2015-12-07 19:32:36 EST
rawstudio-2.1-0.9.20150511git75ef4c4_rawspeed_4ea46dd.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ffac6daf38
Comment 15 Fedora Update System 2015-12-07 19:33:19 EST
rawstudio-2.1-0.9.20150511git75ef4c4_rawspeed_4ea46dd.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-946b005957
Comment 16 Fedora Update System 2015-12-08 17:57:55 EST
rawstudio-2.1-0.9.20150511git75ef4c4_rawspeed_4ea46dd.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rawstudio'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ffac6daf38
Comment 17 Fedora Update System 2015-12-08 18:51:07 EST
rawstudio-2.1-0.9.20150511git75ef4c4_rawspeed_4ea46dd.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rawstudio'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-946b005957
Comment 18 Fedora Update System 2015-12-20 01:54:18 EST
rawstudio-2.1-0.9.20150511git75ef4c4_rawspeed_4ea46dd.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-12-20 02:53:07 EST
rawstudio-2.1-0.9.20150511git75ef4c4_rawspeed_4ea46dd.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.